LMShare (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: LMShare

Package com.sun.jna.platform.win32

# Interface LMShare

public interface LMShare
Ported from LMShare.h. Windows SDK 7.1

Author:
  amarcionek[at]seven10storage.com

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static class`
  `LMShare.SHARE_INFO_2`
  Contains information about the shared resource, including name of the resource, type and permissions, number of connections, and other pertinent information.
  `static class`
  `LMShare.SHARE_INFO_502`
  Contains information about the shared resource, including name of the resource, type and permissions, number of connections, and other pertinent information.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `STYPE_DEVICE`
  Communication device.
  `static final int`
  `STYPE_DISKTREE`
  Disk Drive.
  `static final int`
  `STYPE_IPC`
  Interprocess communication (IPC).
  `static final int`
  `STYPE_PRINTQ`
  Print Queue.
  `static final int`
  `STYPE_SPECIAL`
  Special share reserved for interprocess communication (IPC$) or remote administration of the server (ADMIN$).
  `static final int`
  `STYPE_TEMPORARY`
  A temporary share.

- ## Field Details

  - ### STYPE_DISKTREE

    static final int STYPE_DISKTREE
    Disk Drive.
    See Also:
      - Constant Field Values

  - ### STYPE_PRINTQ

    static final int STYPE_PRINTQ
    Print Queue.
    See Also:
      - Constant Field Values

  - ### STYPE_DEVICE

    static final int STYPE_DEVICE
    Communication device.
    See Also:
      - Constant Field Values

  - ### STYPE_IPC

    static final int STYPE_IPC
    Interprocess communication (IPC).
    See Also:
      - Constant Field Values

  - ### STYPE_TEMPORARY

    static final int STYPE_TEMPORARY
    A temporary share.
    See Also:
      - Constant Field Values

  - ### STYPE_SPECIAL

    static final int STYPE_SPECIAL
    Special share reserved for interprocess communication (IPC$) or remote administration of the server (ADMIN$). Can also refer to administrative shares such as C$, D$, E$, and so forth. For more information, see the network share functions.
    See Also:
      - Constant Field Values